IRremoteESP8266: SanyoProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
SanyoProtocol Union Reference

Native representation of a Sanyo A/C message. More...

`#include <ir_Sanyo.h>`

## Public Attributes

uint8_t | raw [kSanyoAcStateLength]
| The state in IR code form. More...
struct {
uint8_t __pad0__:8
uint8_t Temp:5
uint8_t __pad1__:3
uint8_t SensorTemp:5
uint8_t Sensor:1
| Sensor location (0 = remote, 1 = A/C) More...
uint8_t Beep:1
uint8_t __pad2__:1
uint8_t OffHour:4
uint8_t __pad3__:4
uint8_t Fan:2
uint8_t OffTimer:1
uint8_t __pad4__:1
uint8_t Mode:3
uint8_t __pad5__:1
uint8_t SwingV:3
uint8_t __pad6__:3
uint8_t Power:2
uint8_t __pad7__:3
uint8_t Sleep:1
uint8_t __pad8__:4
uint8_t __pad9__:8
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a Sanyo A/C message.

## Member Data Documentation

## ◆ @74

struct { ... }

## ◆ __pad0__

uint8_t SanyoProtocol::__pad0__

## ◆ __pad1__

uint8_t SanyoProtocol::__pad1__

## ◆ __pad2__

uint8_t SanyoProtocol::__pad2__

## ◆ __pad3__

uint8_t SanyoProtocol::__pad3__

## ◆ __pad4__

uint8_t SanyoProtocol::__pad4__

## ◆ __pad5__

uint8_t SanyoProtocol::__pad5__

## ◆ __pad6__

uint8_t SanyoProtocol::__pad6__

## ◆ __pad7__

uint8_t SanyoProtocol::__pad7__

## ◆ __pad8__

uint8_t SanyoProtocol::__pad8__

## ◆ __pad9__

uint8_t SanyoProtocol::__pad9__

## ◆ Beep

uint8_t SanyoProtocol::Beep

## ◆ Fan

uint8_t SanyoProtocol::Fan

## ◆ Mode

uint8_t SanyoProtocol::Mode

## ◆ OffHour

uint8_t SanyoProtocol::OffHour

## ◆ OffTimer

uint8_t SanyoProtocol::OffTimer

## ◆ Power

uint8_t SanyoProtocol::Power

## ◆ raw

uint8_t SanyoProtocol::raw[kSanyoAcStateLength]

The state in IR code form.

## ◆ Sensor

uint8_t SanyoProtocol::Sensor

Sensor location (0 = remote, 1 = A/C)

## ◆ SensorTemp

uint8_t SanyoProtocol::SensorTemp

## ◆ Sleep

uint8_t SanyoProtocol::Sleep

## ◆ Sum

uint8_t SanyoProtocol::Sum

## ◆ SwingV

uint8_t SanyoProtocol::SwingV

## ◆ Temp

uint8_t SanyoProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Sanyo.h